CO_SYNC.h File Reference
CANopen_301 » SYNC

CANopen Synchronisation protocol. More...

`#include "301/CO_driver.h"`

Go to the source code of this file.

## Data Structures

struct | CO_SYNC_t
| SYNC producer and consumer object. More...

## Enumerations

enum | CO_SYNC_status_t { CO_SYNC_NONE = 0, CO_SYNC_RECEIVED = 1, CO_SYNC_OUTSIDE_WINDOW = 2 }
| Return value for CO_SYNC_process. More...

## Functions

CO_ReturnError_t | CO_SYNC_init (CO_SYNC_t *SYNC, CO_EM_t *em, CO_SDO_t *SDO, CO_NMT_internalState_t *operatingState, uint32_t COB_ID_SYNCMessage, uint32_t communicationCyclePeriod, uint8_t synchronousCounterOverflowValue, CO_CANmodule_t *CANdevRx, uint16_t CANdevRxIdx, CO_CANmodule_t *CANdevTx, uint16_t CANdevTxIdx)
| Initialize SYNC object. More...
void | CO_SYNC_initCallbackPre (CO_SYNC_t *SYNC, void *object, void(*pFunctSignalPre)(void *object))
| Initialize SYNC callback function. More...
CO_ReturnError_t | CO_SYNCsend (CO_SYNC_t *SYNC)
| Send SYNC message. More...
CO_SYNC_status_t | CO_SYNC_process (CO_SYNC_t *SYNC, uint32_t timeDifference_us, uint32_t ObjDict_synchronousWindowLength, uint32_t *timerNext_us)
| Process SYNC communication. More...

## Detailed Description

CANopen Synchronisation protocol.

Author
  Janez Paternoster

Copyright
  2004 - 2020 Janez Paternoster

This file is part of CANopenNode, an opensource CANopen Stack. Project home page is https://github.com/CANopenNode/CANopenNode. For more information on CANopen see http://www.can-cia.org/.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.